from rest_framework import serializers


class TeamBitionSerializer(serializers.Serializer):
    teambition_id = serializers.CharField(help_text='任务内部ID')
    tags = serializers.ListField(allow_null=True, help_text='标签')
    note = serializers.CharField(allow_blank=True, help_text='备注')
    creator = serializers.CharField(help_text='任务创建者')
    executor = serializers.CharField(allow_null=True, help_text='任务执行者')
    tb_status = serializers.CharField(help_text='任务所在状态')
    content = serializers.CharField(help_text='任务标题')
    tb_attachments = serializers.JSONField(allow_null=True, help_text='任务的附件')
    tb_history = serializers.JSONField(allow_null=True, help_text='任务的历史记录')


class ValuationSheetBasicInfoSerializer(serializers.Serializer):
    fund_nav = serializers.DecimalField(decimal_places=4, max_digits=6, label='单位净值', allow_null=True)
    paid_in_capital = serializers.DecimalField(decimal_places=2, max_digits=16, label='实收资本', allow_null=True)
    balance = serializers.DecimalField(decimal_places=2, max_digits=16, label='银行存款', allow_null=True)
    fund_total_nav = serializers.DecimalField(decimal_places=2, max_digits=16, label='资产净值', allow_null=True)
    fund_accum_nav = serializers.DecimalField(decimal_places=4, max_digits=6, label='累计单位净值', allow_null=True)
    fund_investment = serializers.DecimalField(decimal_places=2, max_digits=16, label='理财', allow_null=True)
